Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken

From: "Elia Nolz" <[email-masked]>
Date: Thu, 20 May 2021 11:30:46 +0200

On Sun, May 9, 2021, at 12:47, Elia Nolz wrote:
> On Sun, May 9, 2021, at 12:17, Yuuki Harano wrote:
>> Does this work for you?
>> 
>> (put 'none 'modifier-value 0)
>> (setq x-hyper-keysym 'none)
> 
> Yes this works perfectly for ISO_Level5_Shift. Thank you very much.
> 
> Sadly I stumbled upon another problem:
> 
> ISO_Level3_Shift combined with other modifiers is also partly broken. E.g. when using C-ISO_Level3_Shift-w (ISO_Level3_Shift-w is & in my layout) it just sends '&' instead of 'C-&'. Strangely enough the same is not true for 'C-ISO_Level3_Shift-a' which sends 'C-]' as it should. And 'C-IL3-u' sends 'ESC' instead of 'C-['. I am thoroughly confused.

I tested it a bit more and ended up with the following list:

Working key combinations (Ctrl and ISO_Level3_Shift held):
C-_
C-[ (I have since realized that it is expected behaviour that this sends ESC)
C-]
C-^
C-\
C-/
C-{
C-}
C-|
C-~
C-`
C-@

Non-working combinations (Ctrl held):
C-ü
C-ä
C-ö

Non-working combinantions (Ctrl and ISO_Level3_Shift held):
C-…
C-*
C-#
C-$
C-!
C-<
C->
C-=
C-&
C-?
C-(
C-)
C--
C-:
C-+
C-%
C-"
C-'
C-;
C-ſ

I am not really sure how to debug this further since I do not know where the processing of interpreting a key press starts in Emacs. Any tips on this?